<?php

class ConfigUtils
{
    public static function partial_load_properties_file($path, &$props)
    {
        if (!is_file($path))
            return $props;

        $lines = file($path);
        foreach ($lines as $line)
        {
            $pos = strpos($line, "=");
            if ($pos === false)
                continue;

            $key = trim(substr($line, 0, $pos));
            if (isset($props->$key))
                $props->$key = trim(substr($line, $pos + 1));
        }
        return $props;
    }
}

?>
